#ifndef FMP_EPAY_H
#define FMP_EPAY_H

#include <QObject>
#include "fmp_epay_i.h"

class FMPePayPrivate;

class FMPePay : public QObject, public FMPePayInterface
{
    Q_OBJECT
    Q_INTERFACES(FMPBaseInterface)
    Q_INTERFACES(FMPePayInterface)
    Q_DECLARE_PRIVATE(FMPePay)

public:
    FMPePay(ctkPluginContext *context);

    int                 StopService();
    int                 Pay();
private:
    bool                _inited;
    FMPePayPrivate*     d_ptr;
};

#endif // FMP_EPAY_H
